PageRange (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.print, class: PageRange

# Class PageRange

java.lang.Object
javafx.print.PageRange

public final class PageRange extends Object
A `PageRange` is used to select or constrain the job print stream pages to print. Page numbering starts from 1 to correspond to user expectations. The start page must be greater than zero and less than or equal to the endpage. If start and end are equal, the range refers to a single page. Values that exceed the number of job pages are harmlessly ignored during printing.

Since:
  JavaFX 8.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final ReadOnlyIntegerProperty`
  `endPage`
  `IntegerProperty` representing the ending page number of the range.
  `final ReadOnlyIntegerProperty`
  `startPage`
  `IntegerProperty` representing the starting page number of the range.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageRange(int startPage, int endPage)`
  Create a new PageRange with the specified start and end page numbers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final ReadOnlyIntegerProperty`
  `endPageProperty()`
  `IntegerProperty` representing the ending page number of the range.
  `final int`
  `getEndPage()`
  Gets the value of the `endPage` property.
  `final int`
  `getStartPage()`
  Gets the value of the `startPage` property.
  `final ReadOnlyIntegerProperty`
  `startPageProperty()`
  `IntegerProperty` representing the starting page number of the range.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### startPage

    public final ReadOnlyIntegerProperty startPageProperty
    `IntegerProperty` representing the starting page number of the range.
    See Also:
      - `getStartPage()`
      - `startPageProperty()`

  - ### endPage

    public final ReadOnlyIntegerProperty endPageProperty
    `IntegerProperty` representing the ending page number of the range.
    See Also:
      - `getEndPage()`
      - `endPageProperty()`

- ## Constructor Details

  - ### PageRange

    public PageRange(int startPage, int endPage)
    Create a new PageRange with the specified start and end page numbers.
    Parameters:
      `startPage` - the first page in the range.
      `endPage` - the last page in the range.
    Throws:
      `IllegalArgumentException` - if the page range is not valid

- ## Method Details

  - ### startPageProperty

    public final ReadOnlyIntegerProperty startPageProperty()
    `IntegerProperty` representing the starting page number of the range.
    Returns:
      the starting page number of the range
    See Also:
      - `getStartPage()`

  - ### getStartPage

    public final int getStartPage()
    Gets the value of the `startPage` property.
    Property description:
      `IntegerProperty` representing the starting page number of the range.
    Returns:
      the value of the `startPage` property
    See Also:
      - `startPageProperty()`

  - ### endPageProperty

    public final ReadOnlyIntegerProperty endPageProperty()
    `IntegerProperty` representing the ending page number of the range.
    Returns:
      the ending page number of the range
    See Also:
      - `getEndPage()`

  - ### getEndPage

    public final int getEndPage()
    Gets the value of the `endPage` property.
    Property description:
      `IntegerProperty` representing the ending page number of the range.
    Returns:
      the value of the `endPage` property
    See Also:
      - `endPageProperty()`